%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		stonevpn
Version:	0.4.17
Release:	3%{?dist}
Summary:	Easy OpenVPN certificate and configuration management

Group:		Applications/Internet
License:	GPLv2+
URL:		http://github.com/lkeijser/stonevpn
Source0:	http://cloud.github.com/downloads/lkeijser/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-devel
Requires:	python2-configobj python2-IPy python2-pyOpenSSL

%description
StoneVPN allows you to manage OpenVPN certificates and create
configurations for Windows and Linux machines based on a
template. It can package everything into a zipfile and mail
it to a user.

%prep
%setup -q 

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/man{1,5}
install -m 644 man/stonevpn.1 %{buildroot}/%{_mandir}/man1/
install -m 644 man/stonevpn.conf.5 %{buildroot}/%{_mandir}/man5/

%files
%defattr(-,root,root,-)
%doc COPYING README TODO Changelog
%dir %{python_sitelib}/StoneVPN
%{python_sitelib}/StoneVPN/app.py*
%{python_sitelib}/StoneVPN/__init__.py*
%{python_sitelib}/%{name}*.egg-info
%{_bindir}/stonevpn
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.*
%{_mandir}/man5/%{name}.*

%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.17-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 12 2017 Léon Keijser <leon@gotlinux.nl> - 0.4.17-1
- new version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.16-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jul 04 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.4.15-3
- Rebuilt (FTBFS RHBZ #1107378).
- Remove stray tagballs from git.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 08 2014 Léon Keijser <keijser@stone-it.com> - 0.4.14-1
- new version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 09 2012 Léon Keijser <keijser@stone-it.com> - 0.4.13-1
- new version from upstream

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 Léon Keijser <keijser@stone-it.com> - 0.4.12-1
- new version from upstream

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 24 2011 Léon Keijser <keijser@stone-it.com> - 0.4.11-1
- new version from upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Léon Keijser <keijser@stone-it.com> - 0.4.10-1
- new version from upstream

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 L.S. Keijser <keijser@stone-it.com> - 0.4.9-1
- new version from upstream

* Thu May 06 2010 L.S. Keijser <keijser@stone-it.com> - 0.4.8-1
- new version from upstream

* Fri Mar 12 2010 L.S. Keijser <keijser@stone-it.com> - 0.4.7-1
- new version from upstream

* Fri Feb 19 2010 L.S. Keijser <keijser@stone-it.com> - 0.4.6-1
- new version from upstream

* Wed Feb 03 2010 L.S. Keijser <keijser@stone-it.com> - 0.4.5-2
- typo in branch tag in files section

* Tue Feb 02 2010 L.S. Keijser <keijser@stone-it.com> - 0.4.5-1
- new version from upstream

* Mon Nov 09 2009 L.S. Keijser <keijser@stone-it.com> - 0.4.4-1
- new version from upstream

* Fri Nov 06 2009 L.S. Keijser <keijser@stone-it.com> - 0.4.3-2
- _really_ removed unnecessary files residing in /usr/share/StoneVPN

* Fri Nov 06 2009 L.S. Keijser <keijser@stone-it.com> - 0.4.3-1
- fixed EVR: now set to 1 (Fedora standard)
- fixed license tag
- fixed SourceURL
- removed unnecessary files (specfile, patches and license files)
- ensure /etc/stonevpn.conf is present after installation

* Thu Oct 22 2009 L.S. Keijser <keijser@stone-it.com> - 0.4.3-0
- changed for Fedora packaging release testing

* Sat Oct 17 2009 L.S. Keijser <keijser@stone-it.com> - 0.4.2-2
- fixed all rpmlint warnings/errors
- cleaned up spec file

* Fri Aug 7 2009 L.S. Keijser <keijser@stone-it.com>
- modify according to new way of installation

* Tue Jul 14 2009 L.S. Keijser <keijser@stone-it.com>
- change the way config file is installed

* Tue May 19 2009 L.S. Keijser <keijser@stone-it.com>
- bumped to version 0.4.1

* Fri Mar 27 2009 L.S. Keijser <keijser@stone-it.com>
- initial release
